Page MenuHomePhabricator

Create example tests set 1 (Clara)
Closed, ResolvedPublic2 Story Points

Description

  • anonymous page creation and editing, verify change in content (verifying access to old revisions requires variable support) via [[API:Edit]]
  • re-parse of dependent pages (red links turning blue, missing templates getting used after being created) via [[API:Edit]] and then fetching the rendered page from the article path (index.php?title=xyz)
  • page history with edit summary, size diff (testing minor edits and user names requires variables for login) see [[API:Revisions]]
  • recent changes with edit summary, size diff, etc [[API:RecentChanges]]
  • renaming/moving a page (basic) via [[API:Move]]
  • diffs (use relative revision ids) via [[API:Compare]]
  • changing preferences
  • undo
  • diffs with fixed revision IDs (test special case for last and first revision)
  • auto-patrolling
  • listing users
  • page protection (effectiveness, levels)
  • newtalk notifications
  • site stats (may need support for arithmetic functions)

Event Timeline

Fjalapeno created this task.Aug 5 2019, 4:39 PM
daniel renamed this task from Create example tests set 2 (Daniel) to Create example tests set 1 (Daniel).Aug 5 2019, 5:25 PM
daniel updated the task description. (Show Details)
Clarakosi renamed this task from Create example tests set 1 (Daniel) to Create example tests set 1 (Clara).Aug 6 2019, 3:56 PM
Clarakosi claimed this task.
Fjalapeno set the point value for this task to 2.Aug 6 2019, 4:27 PM

Change 529386 had a related patch set uploaded (by Clarakosi; owner: Clarakosi):
[mediawiki/tools/api-testing@master] Add ListUsers and NewTalk tests

https://gerrit.wikimedia.org/r/529386

Change 529388 had a related patch set uploaded (by Clarakosi; owner: Clarakosi):
[mediawiki/tools/api-testing@master] Add Autopatrolling and preferences tests

https://gerrit.wikimedia.org/r/529388

CCicalese_WMF triaged this task as Normal priority.Aug 12 2019, 7:28 PM

Change 529388 merged by Daniel Kinzler:
[mediawiki/tools/api-testing@master] Add Autopatrolling and preferences tests

https://gerrit.wikimedia.org/r/529388

Change 529386 merged by Daniel Kinzler:
[mediawiki/tools/api-testing@master] Add ListUsers and NewTalk tests

https://gerrit.wikimedia.org/r/529386

Change 529949 had a related patch set uploaded (by Clarakosi; owner: Clarakosi):
[mediawiki/tools/api-testing@master] Add Move and Undo tests

https://gerrit.wikimedia.org/r/529949

Change 529950 had a related patch set uploaded (by Clarakosi; owner: Clarakosi):
[mediawiki/tools/api-testing@master] Add Revision and Recent Changes tests

https://gerrit.wikimedia.org/r/529950

Change 529951 had a related patch set uploaded (by Clarakosi; owner: Clarakosi):
[mediawiki/tools/api-testing@master] Add Anonymous Edit and Reparse tests

https://gerrit.wikimedia.org/r/529951

Clarakosi updated the task description. (Show Details)Aug 13 2019, 2:16 PM

Change 529950 merged by Daniel Kinzler:
[mediawiki/tools/api-testing@master] Add Revision and Recent Changes tests and add modify timeout option

https://gerrit.wikimedia.org/r/529950

Clarakosi updated the task description. (Show Details)Sep 4 2019, 4:01 PM

Change 529949 merged by Daniel Kinzler:
[mediawiki/tools/api-testing@master] Add Move and Undo tests

https://gerrit.wikimedia.org/r/529949

Clarakosi updated the task description. (Show Details)Sep 4 2019, 5:54 PM

Change 529951 merged by Daniel Kinzler:
[mediawiki/tools/api-testing@master] Add Anonymous Edit test

https://gerrit.wikimedia.org/r/529951

Clarakosi updated the task description. (Show Details)Sep 6 2019, 3:11 PM
Clarakosi updated the task description. (Show Details)Sep 12 2019, 7:17 PM
CCicalese_WMF closed this task as Resolved.Sep 12 2019, 7:17 PM